--- boost_1_47_0-orig/tools/build/v2/tools/darwin.jam	2011-06-06 15:36:21.000000000 -0500
+++ boost_1_47_0/tools/build/v2/tools/darwin.jam	2011-10-30 22:17:58.000000000 -0600
@@ -498,7 +498,7 @@
 flags darwin.compile OPTIONS <link>shared : -dynamic ;
 
 # Misc options.
-flags darwin.compile OPTIONS : -no-cpp-precomp -gdwarf-2 -fexceptions ;
+flags darwin.compile OPTIONS : -gdwarf-2 -fexceptions ;
 #~ flags darwin.link OPTIONS : -fexceptions ;
 
 # Add the framework names to use.
